kr.co.hanwha.hifive.util.glide

## Class RoundedCornersTransformation

- java.lang.Object
- - kr.co.hanwha.hifive.util.glide.RoundedCornersTransformation

- All Implemented Interfaces:
    com.bumptech.glide.load.Key, com.bumptech.glide.load.Transformation<android.graphics.Bitmap>

      public class RoundedCornersTransformation
      extends java.lang.Object
      implements com.bumptech.glide.load.Transformation<android.graphics.Bitmap>

  Created by sanghoonkwon on 2018. 1. 12..

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RoundedCornersTransformation.CornerType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private com.bumptech.glide.load.engine.bitmap_recycle.BitmapPool` | `mBitmapPool`
    `private RoundedCornersTransformation.CornerType` | `mCornerType`
    `private int` | `mDiameter`
    `private int` | `mMargin`
    `private int` | `mRadius`

    - ### Fields inherited from interface com.bumptech.glide.load.Key

      `CHARSET, STRING_CHARSET_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoundedCornersTransformation(com.bumptech.glide.load.engine.bitmap_recycle.BitmapPool pool, int radius, int margin)`
    `RoundedCornersTransformation(com.bumptech.glide.load.engine.bitmap_recycle.BitmapPool pool, int radius, int margin, RoundedCornersTransformation.CornerType cornerType)`
    `RoundedCornersTransformation(android.content.Context context, int radius, int margin)`
    `RoundedCornersTransformation(android.content.Context context, int radius, int margin, RoundedCornersTransformation.CornerType cornerType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `drawBottomLeftRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float right, float bottom)`
    `private void` | `drawBottomRightRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float right, float bottom)`
    `private void` | `drawBottomRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float right, float bottom)`
    `private void` | `drawDiagonalFromTopLeftRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float right, float bottom)`
    `private void` | `drawDiagonalFromTopRightRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float right, float bottom)`
    `private void` | `drawLeftRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float right, float bottom)`
    `private void` | `drawOtherBottomLeftRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float right, float bottom)`
    `private void` | `drawOtherBottomRightRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float right, float bottom)`
    `private void` | `drawOtherTopLeftRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float right, float bottom)`
    `private void` | `drawOtherTopRightRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float right, float bottom)`
    `private void` | `drawRightRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float right, float bottom)`
    `private void` | `drawRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float width, float height)`
    `private void` | `drawTopLeftRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float right, float bottom)`
    `private void` | `drawTopRightRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float right, float bottom)`
    `private void` | `drawTopRoundRect(android.graphics.Canvas canvas, android.graphics.Paint paint, float right, float bottom)`
    `java.lang.String` | `getId()`
    `com.bumptech.glide.load.engine.Resource<android.graphics.Bitmap>` | `transform(android.content.Context context, com.bumptech.glide.load.engine.Resource<android.graphics.Bitmap> resource, int outWidth, int outHeight)`
    `void` | `updateDiskCacheKey(java.security.MessageDigest messageDigest)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.bumptech.glide.load.Key

      `equals, hashCode`

- - ### Field Detail

    - #### mBitmapPool

          private com.bumptech.glide.load.engine.bitmap_recycle.BitmapPool mBitmapPool

    - #### mRadius

          private int mRadius

    - #### mDiameter

          private int mDiameter

    - #### mMargin

          private int mMargin

    - #### mCornerType

          private RoundedCornersTransformation.CornerType mCornerType

  - ### Constructor Detail

    - #### RoundedCornersTransformation

          public RoundedCornersTransformation(android.content.Context context,
                                              int radius,
                                              int margin)

    - #### RoundedCornersTransformation

          public RoundedCornersTransformation(com.bumptech.glide.load.engine.bitmap_recycle.BitmapPool pool,
                                              int radius,
                                              int margin)

    - #### RoundedCornersTransformation

          public RoundedCornersTransformation(android.content.Context context,
                                              int radius,
                                              int margin,
                                              RoundedCornersTransformation.CornerType cornerType)

    - #### RoundedCornersTransformation

          public RoundedCornersTransformation(com.bumptech.glide.load.engine.bitmap_recycle.BitmapPool pool,
                                              int radius,
                                              int margin,
                                              RoundedCornersTransformation.CornerType cornerType)

  - ### Method Detail

    - #### transform

          @NonNull
          public com.bumptech.glide.load.engine.Resource<android.graphics.Bitmap> transform(@NonNull
                                                                                                     android.content.Context context,
                                                                                                     @NonNull
                                                                                                     com.bumptech.glide.load.engine.Resource<android.graphics.Bitmap> resource,
                                                                                                     int outWidth,
                                                                                                     int outHeight)

      Specified by:
        `transform` in interface `com.bumptech.glide.load.Transformation<android.graphics.Bitmap>`

    - #### drawRoundRect

          private void drawRoundRect(android.graphics.Canvas canvas,
                                     android.graphics.Paint paint,
                                     float width,
                                     float height)

    - #### drawTopLeftRoundRect

          private void drawTopLeftRoundRect(android.graphics.Canvas canvas,
                                            android.graphics.Paint paint,
                                            float right,
                                            float bottom)

    - #### drawTopRightRoundRect

          private void drawTopRightRoundRect(android.graphics.Canvas canvas,
                                             android.graphics.Paint paint,
                                             float right,
                                             float bottom)

    - #### drawBottomLeftRoundRect

          private void drawBottomLeftRoundRect(android.graphics.Canvas canvas,
                                               android.graphics.Paint paint,
                                               float right,
                                               float bottom)

    - #### drawBottomRightRoundRect

          private void drawBottomRightRoundRect(android.graphics.Canvas canvas,
                                                android.graphics.Paint paint,
                                                float right,
                                                float bottom)

    - #### drawTopRoundRect

          private void drawTopRoundRect(android.graphics.Canvas canvas,
                                        android.graphics.Paint paint,
                                        float right,
                                        float bottom)

    - #### drawBottomRoundRect

          private void drawBottomRoundRect(android.graphics.Canvas canvas,
                                           android.graphics.Paint paint,
                                           float right,
                                           float bottom)

    - #### drawLeftRoundRect

          private void drawLeftRoundRect(android.graphics.Canvas canvas,
                                         android.graphics.Paint paint,
                                         float right,
                                         float bottom)

    - #### drawRightRoundRect

          private void drawRightRoundRect(android.graphics.Canvas canvas,
                                          android.graphics.Paint paint,
                                          float right,
                                          float bottom)

    - #### drawOtherTopLeftRoundRect

          private void drawOtherTopLeftRoundRect(android.graphics.Canvas canvas,
                                                 android.graphics.Paint paint,
                                                 float right,
                                                 float bottom)

    - #### drawOtherTopRightRoundRect

          private void drawOtherTopRightRoundRect(android.graphics.Canvas canvas,
                                                  android.graphics.Paint paint,
                                                  float right,
                                                  float bottom)

    - #### drawOtherBottomLeftRoundRect

          private void drawOtherBottomLeftRoundRect(android.graphics.Canvas canvas,
                                                    android.graphics.Paint paint,
                                                    float right,
                                                    float bottom)

    - #### drawOtherBottomRightRoundRect

          private void drawOtherBottomRightRoundRect(android.graphics.Canvas canvas,
                                                     android.graphics.Paint paint,
                                                     float right,
                                                     float bottom)

    - #### drawDiagonalFromTopLeftRoundRect

          private void drawDiagonalFromTopLeftRoundRect(android.graphics.Canvas canvas,
                                                        android.graphics.Paint paint,
                                                        float right,
                                                        float bottom)

    - #### drawDiagonalFromTopRightRoundRect

          private void drawDiagonalFromTopRightRoundRect(android.graphics.Canvas canvas,
                                                         android.graphics.Paint paint,
                                                         float right,
                                                         float bottom)

    - #### getId

          public java.lang.String getId()

    - #### updateDiskCacheKey

          public void updateDiskCacheKey(@NonNull
                                         java.security.MessageDigest messageDigest)

      Specified by:
        `updateDiskCacheKey` in interface `com.bumptech.glide.load.Key`